Loading...
Searching...
No Matches
__iobranch< T, M >

## Detailed Description

template<class T, class M>
class rheolef::__iobranch< T, M >

Definition at line 449 of file branch.h.

## Public Member Functions

template<typename... Args>
| __iobranch (odiststream &(*put)(odiststream &, const branch_basic< T, M > &), idiststream &(*get)(idiststream &, branch_basic< T, M > &), branch_basic< T, M > &x, T &t, field_basic< T, M > &u0, Args &... uk)
| __iobranch (const __iobranch< T, M > &x)
template<typename... Args>
void | fill_field_references (std::size_t i, field_basic< T, M > &ui, Args &... uk)
void | fill_field_references (std::size_t i)

## Constructor & Destructor Documentation

## __iobranch() [1/2]

template<class T , class M >
template<typename... Args>

__iobranch | ( | odiststream &(*)(odiststream &, const branch_basic< T, M > &) | put,
|  | idiststream &(*)(idiststream &, branch_basic< T, M > &) | get,
|  | branch_basic< T, M > & | x,
|  | T & | t,
|  | field_basic< T, M > & | u0,
|  | Args &... | uk
| ) |  |

Definition at line 452 of file branch.h.

## __iobranch() [2/2]

template<class T , class M >

__iobranch | ( | const __iobranch< T, M > & | x | ) |

Definition at line 465 of file branch.h.

## Member Function Documentation

## fill_field_references() [1/2]

template<class T , class M >
template<typename... Args>

void fill_field_references | ( | std::size_t | i,
|  | field_basic< T, M > & | ui,
|  | Args &... | uk
| ) |  |

Definition at line 468 of file branch.h.

## fill_field_references() [2/2]

template<class T , class M >

void fill_field_references | ( | std::size_t | i | ) |

Definition at line 472 of file branch.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/branch.h